Dynalinks
Links

Update an existing link

PATCH
/links/{id}
Create, update, look up and delete dynamic links.

Updates an existing link.

Rate Limit: 600 requests per minute per API key

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Path Parameters

id*integer

ID of the link to update

Request Body

Fields to update

application/json
  1. body
name?string

Name of the dynamic link, displayed in the console user interface.

path?string

You can retrieve parameters from the path in your iOS or Android apps and redirect your users to a specific screen.

social_description?string

The content for the meta description tag is the concise summary that appears when the page is shared on social media.

social_image_url?string

A URL to a unique image representing the content of the page.

social_title?string

The content for the meta title tag is the title that appears when the page is shared on social media.

url?string

This address will open when the user clicks on the link on a desktop.

android_fallback_url?string

This address will open when the user clicks on the link on an Android device and the app is not installed.

ios_fallback_url?string

This address will open when the user clicks on the link on an iOS device and the app is not installed.

enable_forced_redirect?boolean

When set to true, bypass the app preview page for Dynalinks, redirecting users directly to the app or store. By default, the app preview page is enabled to ensure users are directed to the most suitable destination when opening links within apps.

referrer?string

(Android only) Parameter for deferred deep linking which can be read using InstallReferrerClient library. This way, you can track the source of the install and attribute the install to the right source. Available on PRO plan only. Important - If your project has "Link in Referrer" feature enabled, this field will be ignored and the referrer parameter will be used exclusively for deferred deep linking (_url parameter). To track custom parameters when this feature is enabled, add them as query parameters to your link URL instead.

ios_deferred_deep_linking_enabled?boolean

(iOS only) Parameter for deferred deep linking which can be read after installation. This way, you can track the source of the install and attribute the install to the right source. Available on PRO plan only.

provider_token?string

(iOS only) Apple's provider token (pt parameter) for App Store campaign tracking. Used for affiliate programs and marketing campaigns. Available on PRO plan only. Must be provided together with campaign_token.

campaign_token?string

(iOS only) Apple's campaign token (ct parameter) for App Store campaign tracking. Used to identify specific marketing campaigns. Available on PRO plan only. Must be provided together with provider_token.

android_app?|
ios_app?|

Response Body

Link updated successfully

application/json
  1. response
id?string

UUID of the link

Formatuuid
name?string
path?string
url?string
social_description?string
social_image_url?string
social_title?string
shortened_path?string
android_fallback_url?string
ios_fallback_url?string
enable_forced_redirect?boolean
referrer?string
ios_deferred_deep_linking_enabled?boolean
provider_token?string
campaign_token?string
android_app_id?string
ios_app_id?string
clicks?integer

Number of clicks/views for this link

Example Request
curl -X PATCH 'https://dynalinks.app/api/v1/links/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 1,  "name": "Updated Link",  "path": "updated-link",  "url": "http://updatedexample.com",  "social_description": "Updated description",  "social_image_url": "http://updatedexample.com/image.jpg",  "social_title": "Updated Title"}